# eric6.Graphics.ApplicationDiagramBuilder

Module implementing a dialog showing an imports diagram of the application.

### Global Attributes

None

### Classes

ApplicationDiagramBuilder | Class implementing a builder for imports diagrams of the application.

### Functions

None

## ApplicationDiagramBuilder

Class implementing a builder for imports diagrams of the application.

### Derived from

UMLDiagramBuilder

### Class Attributes

None

### Class Methods

None

### Methods

ApplicationDiagramBuilder | Constructor
__addPackage | Private method to add a package to the diagram.
__buildModulesDict | Private method to build a dictionary of modules contained in the application.
__createAssociations | Private method to generate the associations between the package shapes.
buildDiagram | Public method to build the packages shapes of the diagram.
getPersistenceData | Public method to get a string for data to be persisted.
parsePersistenceData | Public method to parse persisted data.

### Static Methods

None

#### ApplicationDiagramBuilder (Constructor)

ApplicationDiagramBuilder(dialog, view, project, noModules=False)

Constructor

dialog
  reference to the UML dialog (UMLDialog)
view
  reference to the view object (UMLGraphicsView)
project
  reference to the project object (Project)
noModules=
  flag indicating, that no module names should be shown (boolean)

#### ApplicationDiagramBuilder.__addPackage

__addPackage(name, modules, x, y)

Private method to add a package to the diagram.

name
  package name to be shown (string)
modules
  list of module names contained in the package (list of strings)
x
  x-coordinate (float)
y
  y-coordinate (float)

Returns:
  reference to the package item (PackageItem)

#### ApplicationDiagramBuilder.__buildModulesDict

__buildModulesDict()

Private method to build a dictionary of modules contained in the application.

Returns:
  dictionary of modules contained in the application.

#### ApplicationDiagramBuilder.__createAssociations

__createAssociations(shapes)

Private method to generate the associations between the package shapes.

shapes
  list of shapes

#### ApplicationDiagramBuilder.buildDiagram

buildDiagram()

Public method to build the packages shapes of the diagram.

#### ApplicationDiagramBuilder.getPersistenceData

getPersistenceData()

Public method to get a string for data to be persisted.

Returns:
  persisted data string (string)

#### ApplicationDiagramBuilder.parsePersistenceData

parsePersistenceData(version, data)

Public method to parse persisted data.

version
  version of the data (string)
data
  persisted data to be parsed (string)

Returns:
  flag indicating success (boolean)

Up